import BrainbaseLabs from 'brainbase-labs';
const client = new BrainbaseLabs({
apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});
const embeds = await client.workers.deploymentLogs.chat.embed.list('workerId');
console.log(embeds);[
{
"id": "<string>",
"expired": true,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"sessionId": "<string>",
"messages": {},
"status": "<string>",
"messageCount": 123,
"duration": 123,
"userAgent": "<string>",
"originUrl": "<string>",
"toolCalls": {},
"latency": {}
}
]Retrieves all chat embed deployment logs for the worker. Optionally, logs can be filtered by deploymentId and/or flowId by providing corresponding query parameters.
import BrainbaseLabs from 'brainbase-labs';
const client = new BrainbaseLabs({
apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});
const embeds = await client.workers.deploymentLogs.chat.embed.list('workerId');
console.log(embeds);[
{
"id": "<string>",
"expired": true,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"sessionId": "<string>",
"messages": {},
"status": "<string>",
"messageCount": 123,
"duration": 123,
"userAgent": "<string>",
"originUrl": "<string>",
"toolCalls": {},
"latency": {}
}
]Documentation Index
Fetch the complete documentation index at: https://docs.usebrainbase.com/llms.txt
Use this file to discover all available pages before exploring further.
API key authentication
Filter logs by deployment id
Filter logs by flow id
Filter logs by session id
List of chat embed deployment logs